
<div class="row animated fadeIn">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <input #input (keyup)="buscarMedico( input.value )" type="text" class="form-control" placeholder="Search...">  
      </div>
    </div>
  </div>
</div>

<div class="row animated fadeIn">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
          
        <div class="text-right">
          <button [routerLink]="['/medico', 'nuevo']" type="button" class="btn btn-rounded btn-outline-secondary">
            <i class="fa fa-plus"></i>
            Crear médico
          </button>
        </div>

        <h3 class="card-title"> Médicos registrados  ( <small> {{ _medicoService.totalMedicos }} </small> ) </h3>
        
        <table class="table table-hover">
          <thead>
            <tr>
              <th> Image </th>
              <th> Médico </th>
              <th> Hospital </th>
              <th></th>
            </tr>
          </thead>
          <tbody *ngFor="let medico of medicos">
            <tr>
              <td> 
                <img [src]="medico.img | imagen:'medico'" class="img-50 img-circle pointer">
              </td>
              <td> {{ medico.nombre }} </td>
              <td> {{ medico.hospital.nombre }} </td>
              <td class="text-right"> 
                <button [routerLink]="['/medico', medico._id]" type="button" class="btn btn-secondary">
                  <i class="fa fa-edit"></i>
                </button>
                <button (click)="borrarMedico( medico )" type="button" class="btn btn-secondary">
                  <i class="fa fa-trash-o"></i>
                </button>
              </td>
            </tr>
          </tbody>
        </table>

      </div>
    </div>
  </div>
</div>